package de.ivu.elect.presentation.stimmzettel.action;

import javax.inject.Named;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.stimmzettel.entity.Stimmzettel;
import de.ivu.elect.business.stimmzettel.entity.StimmzettelKopfdatum;
import de.ivu.elect.presentation.stimmzettel.StimmzettelEditView;
import de.ivu.elect.presentation.stimmzettel.StimmzettelKopfdatumEditView;

public class StimmzettelKopfdatumEditAction extends AbstractStimmzettelKopfdatumAction {


  private static final long serialVersionUID = 1L;

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.STIMMZETTEL_KOPFDATUM_EDIT;
  }

  @Override
  protected String doIt(StimmzettelKopfdatum entity) {
    conversationSelect.setEntity(entity);

    return StimmzettelKopfdatumEditView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.edit";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconEdit();
  }
}
